local function skin_Blizzard_AlliedRacesUI()

AlliedRacesFrameCloseButton:SetFrameStrata("HIGH")
AlliedRacesFramePortrait:SetTexCoord(0.15, 0.85, 0.15, 0.85)
AlliedRacesFrame.FrameBackground:SetTexture("Interface\\FrameGeneral\\UI-Background-Marble.BLP")
AlliedRacesFrame.ModelFrame.ModelBackground:SetTexture("Interface\\FrameGeneral\\UI-Background-Marble.BLP")

local _,AlliedRacesFrameBackgroundOverlay = AlliedRacesFrame.ModelFrame:GetRegions()
AlliedRacesFrameBackgroundOverlay:Hide()
m_fontify(AlliedRacesFrame.RaceInfoFrame.AlliedRacesRaceName,"color")
AlliedRacesFrame.RaceInfoFrame.ScrollFrame.Child.ObjectivesFrame.DescriptionBG:Hide()
AlliedRacesFrame.RaceInfoFrame.ScrollFrame.Child.ObjectivesFrame.DescriptionBGBottom:Hide()
AlliedRacesFrame.RaceInfoFrame.ScrollFrame.Child.ObjectivesFrame.HeaderBackground:Hide()
m_fontify(AlliedRacesFrame.RaceInfoFrame.ScrollFrame.Child.ObjectivesFrame.Title,"color")

AlliedRacesFrame.RaceInfoFrame.ScrollFrame.ScrollBar.Track:Hide()
m_fontify(AlliedRacesFrame.RaceInfoFrame.ScrollFrame.Child.RaceDescriptionText,"white")
m_fontify(AlliedRacesFrame.RaceInfoFrame.ScrollFrame.Child.RacialTraitsLabel,"color")
hooksecurefunc(AlliedRacesFrame,"SetupAbilityPool",function(self)
	local childFrame = self.RaceInfoFrame.ScrollFrame.Child;
	for i = 1,childFrame:GetNumChildren() do
		local frame = select(i,childFrame:GetChildren())
		if frame.Icon then
			m_fontify(frame.Text,"white")
		end
	end
end)

hooksecurefunc(AlliedRacesBulletFrameMixin,"SetUp",function(self,achievementID, criteriaIndex, objectivesFrame)
	local BULLET_SPACING = 14;
	local TEXT_ANCHOR_POINT_X = 27;
	local criteriaString, criteriaType, completed, quantity, reqQuantity, charName, flags, assetID, quantityString = GetAchievementCriteriaInfo(achievementID, criteriaIndex);
	if (criteriaString and criteriaString ~= "") then
		m_fontify(self.Text,"white")
	end
end)


end

local catchaddon = CreateFrame("FRAME")
catchaddon:RegisterEvent("ADDON_LOADED")

--function to catch loading addons
local function skinnedOnLoad(_, _, addon)
	if addon == "Blizzard_AlliedRacesUI" then
		skin_Blizzard_AlliedRacesUI()
	end
end

--this function decides whether the addon is already loaded or if we need to look out for it!

local function skinnedOnLogin()
	if IsAddOnLoaded("AlliedRacesUI") then
		-- Addon is already loaded, procceed to skin!
		skin_Blizzard_AlliedRacesUI()
	else
		-- Addon is not loaded yet, procceed to look out for it!
		catchaddon:SetScript("OnEvent", skinnedOnLoad)
	end
end

local HelloWorld = CreateFrame("FRAME")
HelloWorld:RegisterEvent("PLAYER_ENTERING_WORLD")
HelloWorld:SetScript("OnEvent", skinnedOnLogin)