local function skin_AzeriteEssenceUI()

AzeriteEssenceUICloseButton:SetFrameStrata("HIGH")
AzeriteEssenceUIPortrait:SetTexCoord(0.15, 0.85, 0.15, 0.85)


hooksecurefunc(AzeriteEssenceUI.EssenceList,"Refresh",function(self)
	local essences = self:GetCachedEssences();
	local numEssences = self:GetNumViewableEssences();
local LOCKED_FONT_COLOR = CreateColor(0.5, 0.447, 0.4);
local CONNECTED_LINE_COLOR = CreateColor(.055, .796, .804);
local DISCONNECTED_LINE_COLOR = CreateColor(.055, .796, .804);
local LOCKED_LINE_COLOR = CreateColor(.486, .486, .486);
	local parent = self:GetParent();
	local slotEssences = parent:GetSlotEssences();
	local pendingEssenceID = C_AzeriteEssence.GetPendingActivationEssence();

	local hasUnlockedEssence = false;

	self.HeaderButton:Hide();
	local offset = HybridScrollFrame_GetOffset(self);

	local totalHeight = numEssences * (41 + 1) + 3 * 2;
	if self:HasHeader() then
		totalHeight = totalHeight + 21 - 41;
	end

	for i, button in ipairs(self.buttons) do
		local index = offset + i;
		if index <= numEssences then
			local essenceInfo = essences[index];
			if essenceInfo.isHeader then
				button:SetHeight(21);
				button:Hide();
				self.HeaderButton:SetPoint("BOTTOM", button, 0, 0);
				self.HeaderButton:Show();
				if self:ShouldShowInvalidEssences() then
					self.HeaderButton.ExpandedIcon:Show();
					self.HeaderButton.CollapsedIcon:Hide();
				else
					self.HeaderButton.ExpandedIcon:Hide();
					self.HeaderButton.CollapsedIcon:Show();
				end
			else

				local activatedMarker;
				if essenceInfo.unlocked then
					m_fontify(button.Name,"white")
					button.Icon:SetDesaturated(not essenceInfo.valid);
					button.Icon:SetVertexColor(1, 1, 1);
				else
					button.Icon:SetDesaturated(true);
					button.Icon:SetVertexColor(LOCKED_FONT_COLOR:GetRGB());
					button.IconCover:Show();
					m_fontify(button.Name,"grey")
				end
				button.PendingGlow:SetShown(essenceInfo.ID == pendingEssenceID);
				button.essenceID = essenceInfo.ID;
				button.rank = essenceInfo.rank;
				button:Show();

				for _, marker in ipairs(button.ActivatedMarkers) do
					marker:SetShown(marker == activatedMarker);
				end
			end
		else
			button:Hide();
		end
	end

	HybridScrollFrame_Update(self, totalHeight, self:GetHeight());
	self:UpdateMouseOverTooltip();

	if hasUnlockedEssence and parent:ShouldPlayReveal() and not parent:IsRevealInProgress() then
		ScrollBar_Disable(self.scrollBar);
		self.Tutorial:Show();
		self.Tutorial:SetPoint("BOTTOM", self.buttons[1].Icon, "TOP", 0, 12);
	else
		self.Tutorial:Hide();
	end
end)




end

local catchaddon = CreateFrame("FRAME")
catchaddon:RegisterEvent("ADDON_LOADED")

--function to catch loading addons
local function skinnedOnLoad(_, _, addon)
	if addon == "Blizzard_AzeriteEssenceUI" then
		skin_AzeriteEssenceUI()
	end
end

--this function decides whether the addon is already loaded or if we need to look out for it!

local function skinnedOnLogin()
	if IsAddOnLoaded("Blizzard_AzeriteEssenceUI") then
		-- Addon is already loaded, procceed to skin!
		skin_AzeriteEssenceUI()
	else
		-- Addon is not loaded yet, procceed to look out for it!
		catchaddon:SetScript("OnEvent", skinnedOnLoad)
	end
end

local HelloWorld = CreateFrame("FRAME")
HelloWorld:RegisterEvent("PLAYER_ENTERING_WORLD")
HelloWorld:SetScript("OnEvent", skinnedOnLogin)